commit b0bb656e9c2204843fc5c7e57a2bf34d13b76986
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Oct 23 02:27:46 2025

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 91084967297..c713b9cbdab 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,8 @@
+2025-10-22  Haochen Jiang  <haochen.jiang@intel.com>
+
+	* config/i386/driver-i386.cc (host_detect_local_cpu): Correct
+	the logic for unknown model number cpu guess value.
+
 2025-10-21  Christophe Lyon  <christophe.lyon@linaro.org>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 1ec5bc821ed..b8ebc41b7ce 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20251022
+20251023
diff --git a/gcc/c-family/ChangeLog b/gcc/c-family/ChangeLog
index e813e6ca40d..f1bffda5dae 100644
--- a/gcc/c-family/ChangeLog
+++ b/gcc/c-family/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-22  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2025-10-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/122302
+	* c-common.cc (braced_list_to_string): Call copy_node on RAW_DATA_CST
+	before changing RAW_DATA_POINTER and RAW_DATA_LENGTH on it.
+
 2025-10-14  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 3bee7971b9e..4b0a567581e 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,12 @@
+2025-10-22  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2025-10-22  Jakub Jelinek  <jakub@redhat.com>
+
+	PR c++/122302
+	* g++.dg/cpp0x/pr122302.C: New test.
+	* g++.dg/cpp/embed-27.C: New test.
+
 2025-10-21  Christophe Lyon  <christophe.lyon@linaro.org>
 
 	Backported from master:

